Last Comment Bug 760171 - The inspector node menu feature allows the user to remove tabbed browsing
: The inspector node menu feature allows the user to remove tabbed browsing
Status: RESOLVED FIXED
: regression
Product: Firefox
Classification: Client Software
Component: Developer Tools: Inspector (show other bugs)
: 14 Branch
: All All
: P1 major (vote)
: Firefox 16
Assigned To: Paul Rouget [:paul]
:
Mentors:
: 746943 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 10:03 PDT by Ioana (away)
Modified: 2012-08-03 05:21 PDT (History)
13 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified
+
verified


Attachments
v1 (4.69 KB, patch)
2012-06-08 03:31 PDT, Paul Rouget [:paul]
rcampbell: review+
akeybl: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Ioana (away) 2012-05-31 10:03:01 PDT
Mozilla/5.0 (Windows NT 6.1; rv:14.0) Gecko/20120530 Firefox/14.0a2
BuildID: 20120530042008

STR:
1. Launch Firefox.
2. Load any website in the browser (e.g. https://www.google.ro/).
3. Right-click on any item on the page and select "Inspect Element" (or press 4. Ctrl+Shift+I/Cmd+Alt+I and select an item on the page).
5. Click on the "Node Operations" button (triangle facing down).
6. Click "Delete Node".
7. Repeat steps 5 and 6 until deleting the "html" node.
8. Click on the "Select element with mouse" button and select "tabbrowser#content". Delete this node too.

After step 7, "undefined" is displayed as a node. When the user tries to select another item, only "tabbrowser#content" is available. After the user deletes this element, the browser becomes mostly unusable: all its features that use tabbed browsing become unresponsive (the user can't open/close tabs, move to already open tabs etc).

I don't already have a regression range for this issue, but I will try to add one tomorrow.
Comment 1 Ioana (away) 2012-06-01 08:15:03 PDT
Last good nightly: 2012-04-13
First bad nightly: 2012-04-14

Pushlog: http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=10622eaff4fc&tochange=364f0a5a1d2d

This issue also reproduces on the latest Nightly and Aurora builds (2012-06-01).
Comment 2 Rob Campbell [:rc] (:robcee) 2012-06-01 08:54:34 PDT
nice!
Comment 3 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-06-01 09:21:17 PDT
Seems to be a serious enough regression, did we want to track for Firefox 14?
Comment 4 Amar 2012-06-01 09:26:05 PDT
Observation :

After reproducing this issue, if a new window is opened, bookmark toolbar is missing.
Comment 5 Alex Keybl [:akeybl] 2012-06-01 14:38:18 PDT
Tracking for 14 although this would not block release of 14.
Comment 6 Paul Rouget [:paul] 2012-06-07 11:04:36 PDT
*** Bug 746943 has been marked as a duplicate of this bug. ***
Comment 7 Paul Rouget [:paul] 2012-06-08 03:31:25 PDT
Created attachment 631334 [details] [diff] [review]
v1
Comment 8 Rob Campbell [:rc] (:robcee) 2012-06-12 05:17:38 PDT
tracking 15 as well. we'll want it everywhere, if possible.
Comment 9 Rob Campbell [:rc] (:robcee) 2012-06-12 05:42:10 PDT
This patch looks reasonable. I wonder if we want a stricter comparison on doc != this.chromeDoc (!== ? ! === ?)? to allow highlighting chrome in content. Maybe not necessary.

I'm currently having an issue highlighting chrome://browser/content/browser.xul in my nightly. Investigating that.
Comment 10 Panos Astithas [:past] 2012-06-15 02:10:12 PDT
https://hg.mozilla.org/integration/fx-team/rev/42d4a34aced6
Comment 11 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2012-06-16 03:44:45 PDT
https://hg.mozilla.org/mozilla-central/rev/42d4a34aced6
Comment 12 Paul Rouget [:paul] 2012-06-19 08:14:17 PDT
Comment on attachment 631334 [details] [diff] [review]
v1

[Approval Request Comment]
User impact if declined: user can break firefox
Testing completed (on m-c, etc.): on m-c
Risk to taking this patch (and alternatives if risky): small patch
String or UUID changes made by this patch: nope
Comment 13 Alex Keybl [:akeybl] 2012-06-19 19:40:29 PDT
Comment on attachment 631334 [details] [diff] [review]
v1

[Triage Comment]
Patch looks low enough risk for Aurora, given where we are in the cycle.
Comment 15 Paul Rouget [:paul] 2012-06-20 07:00:12 PDT
Comment on attachment 631334 [details] [diff] [review]
v1

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 
User impact if declined: user can break firefox
Testing completed (on m-c, etc.): m-c
Risk to taking this patch (and alternatives if risky): small amount of code
String or UUID changes made by this patch: no
Comment 16 Lukas Blakk [:lsblakk] use ?needinfo 2012-06-22 15:43:37 PDT
Comment on attachment 631334 [details] [diff] [review]
v1

Looks fine for this next beta, please update status flags once landed.
Comment 18 Simona B [:simonab ] -PTO- back Sept 5th 2012-07-06 06:07:28 PDT
Mozilla/5.0 (Windows NT 5.1; rv:14.0) Gecko/20100101 Firefox/14.0
Mozilla/5.0 (X11; Linux i686; rv:14.0) Gecko/20100101 Firefox/14.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:14.0) Gecko/20100101 Firefox/14.0

This seems to be fixed on Firefox 14 beta 11 (even if I don't see any patch landed in the bug)- the Inspector does not allow the user to remove tabbed browsing, but shouldn't the "Delete node" option for the "html" node be grayed out to avoid user confusion? 
Should I file a new bug for this?
Comment 19 Paul Rouget [:paul] 2012-07-08 03:41:16 PDT
> Should I file a new bug for this?

Yes please.
Comment 20 Simona B [:simonab ] -PTO- back Sept 5th 2012-07-10 02:34:27 PDT
Filed Bug 772371. 
Thank you Paul.
Comment 21 Simona B [:simonab ] -PTO- back Sept 5th 2012-08-03 05:21:43 PDT
Mozilla/5.0 (Windows NT 6.1; rv:15.0) Gecko/20100101 Firefox/15.0
Mozilla/5.0 (X11; Linux i686; rv:15.0) Gecko/20100101 Firefox/15.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:15.0) Gecko/20100101 Firefox/15.0

Verified on Firefox 15 beta 3 that removing tabbed browsing is not allowed. Verified using the STR from the Description on Windows 7, Ubuntu 12.04 and Mac OS X 10.6.

Note You need to log in before you can comment on or make changes to this bug.